## visad
Class ContourStrip

    java.lang.Object
      visad.ContourStrip

class ContourStrip
extends Object

ContourStrip is used internally by Contour2D

Field Summary
`(package private) ContourStripSet` `css`
`(package private) int` `hi_idx`
`(package private) int[]` `idx_array`
`(package private) float` `lbl_half`
`(package private) int` `lev_idx`
`(package private) int` `low_idx`
`(package private) PlotDigits` `plot`

Constructor Summary
`(package private)` `ContourStrip(int[] idx_array, int lev_idx, PlotDigits plot, ContourStripSet css)`
`(package private)` `ContourStrip(int mxsize, int lev_idx, int idx0, int idx1, PlotDigits plot, ContourStripSet css)`

Method Summary
`(package private) boolean` `addPair(float[] vx, float[] vy, int idx0, int idx1)`
`(package private) byte[][]` `getColorArray(byte[][] colors)`
`(package private) void` `getLabeledLineColorArray(float[] vx, float[] vy, byte[][] colors, float[][][] out_vv, byte[][][] out_colors, float[][][][] out_vvL, byte[][][][] out_colorsL, float[][][] lbl_loc)`
`(package private) float[][]` `getLineArray(float[] vx, float[] vy)`
`(package private) ContourStrip` `merge(ContourStrip c_strp)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### idx_array

    int[] idx_array

### low_idx

    int low_idx

### hi_idx

    int hi_idx

### lev_idx

    int lev_idx

### plot

    PlotDigits plot

### css

    ContourStripSet css

### lbl_half

    float lbl_half

Constructor Detail

### ContourStrip

    ContourStrip(int mxsize,
                 int lev_idx,
                 int idx0,
                 int idx1,
                 PlotDigits plot,
                 ContourStripSet css)

### ContourStrip

    ContourStrip(int[] idx_array,
                 int lev_idx,
                 PlotDigits plot,
                 ContourStripSet css)

Method Detail

### addPair

    boolean addPair(float[] vx,
                    float[] vy,
                    int idx0,
                    int idx1)

### getLabeledLineColorArray

    void getLabeledLineColorArray(float[] vx,
                                  float[] vy,
                                  byte[][] colors,
                                  float[][][] out_vv,
                                  byte[][][] out_colors,
                                  float[][][][] out_vvL,
                                  byte[][][][] out_colorsL,
                                  float[][][] lbl_loc)

### getLineArray

    float[][] getLineArray(float[] vx,
                           float[] vy)

### getColorArray

    byte[][] getColorArray(byte[][] colors)

### merge

    ContourStrip merge(ContourStrip c_strp)

### toString

    public String toString()